Package org.apache.sling.scripting.sightly.testing.models

## Class RequestModel

- java.lang.Object
- - org.apache.sling.scripting.sightly.testing.models.RequestModel

    @Model(adaptables=org.apache.sling.api.SlingHttpServletRequest.class)
    public class RequestModel
    extends Object

### Constructor Summary

Constructors
`RequestModel()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getJCRType()`
`String` `getRequestArgument()`
`String` `getTitle()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RequestModel

    public RequestModel()

### Method Detail

#### getTitle

    public String getTitle()

#### getRequestArgument

    public String getRequestArgument()

#### getJCRType

    public String getJCRType()